#!/usr/bin/env python
# -*- coding: iso-8859-15 -*-
# __init__.py (unterordner2)

import os
import sys
import cherrypy
import threading


CURDIR = os.path.dirname(os.path.abspath(__file__))
ENTRIES_FILENAME = os.path.join(CURDIR, "entries.txt")


entries_writelock = threading.Lock()
request = cherrypy.request


def register_entry():
    new_value = request.params.get("new_value")
    submitted = request.params.get("submitted")
    if new_value:
        entries_writelock.acquire()
        try:
            entries = file(ENTRIES_FILENAME, "a")
            entries.write(new_value + "\n")
            entries.close()
        finally:
            entries_writelock.release()
    if submitted:
        # Damit ein Reload der Seite keinen neuen Eintrag hinzufgt
        raise cherrypy.HTTPRedirect(".") 


def get_entries():
    if os.path.isfile(ENTRIES_FILENAME):
        entries = file(ENTRIES_FILENAME, "r")
        entries_lines = [ line.rstrip() for line in entries.readlines() ]
        entries.close()
        return entries_lines
    else:
        return []


